import { ComponentClass } from 'react';
import Taro, { Component } from '@tarojs/taro';
import { View, Image, Text } from '@tarojs/components';

import UserBoxBg from '../../images/home/img_bg@2x.png';
import UserImg from '../../images/home/pc_minel_icon@2x.png';
import ArrowIcon from '../../images/home/icon_dingdan@2x.png';
class Home extends Component {
  render() {
    return (
      <View className='Home'>
        <View className='Home-UserBox'>
          <Image className='Home-UserBox-bg' src={UserBoxBg} />
          <View className='Home-UserBox-info'>
            <View className='Home-UserBox-other'>
              <View className='Home-UserBox-name'>中小</View>
              <View className='Home-UserBox-tel'>16878964216</View>
              <View className='Home-UserBox-addr'>成都师范学校-温江小区</View>
            </View>
            <Image className='Home-UserBox-headimg' src={UserImg} />
          </View>
          <View className='Home-UserBox-line' />
          <View className='Home-UserBox-Bean'>
            <View className='Home-UserBox-BeanItem'>吹风豆：2.35</View>
            <View className='Home-UserBox-BeanItem'>通用豆：12.35</View>
          </View>
          <View className='Home-UserBox-Order'>
            <Text className='Home-UserBox-Order-text'>我的订单</Text>
            <View className='Home-UserBox-Order-right'>
              <Image className='Home-UserBox-Order-icon' src={ArrowIcon} />
            </View>
          </View>
        </View>
        <View>吹风</View>
        <View>公告</View>
      </View>
    );
  }
}

export default Home as ComponentClass;
